التحقق من الحالة بالمرجع
curl --request GET \
--url https://api.oneclickdz.com/v3/internet/check-ref/{ref} \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.oneclickdz.com/v3/internet/check-ref/{ref}"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.oneclickdz.com/v3/internet/check-ref/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oneclickdz.com/v3/internet/check-ref/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Access-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.oneclickdz.com/v3/internet/check-ref/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.oneclickdz.com/v3/internet/check-ref/{ref}")
.header("X-Access-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.oneclickdz.com/v3/internet/check-ref/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Access-Token"] = '<api-key>'
response = http.request(request)
puts response.read_bodyشحن الإنترنت
التحقق من الحالة بالمرجع
تحقق من حالة شحن الإنترنت باستخدام المرجع المخصص
GET
/
v3
/
internet
/
check-ref
/
{ref}
التحقق من الحالة بالمرجع
curl --request GET \
--url https://api.oneclickdz.com/v3/internet/check-ref/{ref} \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.oneclickdz.com/v3/internet/check-ref/{ref}"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.oneclickdz.com/v3/internet/check-ref/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.oneclickdz.com/v3/internet/check-ref/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Access-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.oneclickdz.com/v3/internet/check-ref/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.oneclickdz.com/v3/internet/check-ref/{ref}")
.header("X-Access-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.oneclickdz.com/v3/internet/check-ref/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Access-Token"] = '<api-key>'
response = http.request(request)
puts response.read_bodyنظرة عامة
تتبع حالة شحن الإنترنت باستخدام مرجعك المخصص من طلب الإرسال.معاملات المسار
الاستجابة
مطابق لـ التحقق بالمعرف. يعيد كائن الشحن مع الحالة وكود البطاقة (عند الاكتمال) وتفاصيل المعاملة.أمثلة
curl https://api.oneclickdz.com/v3/internet/check-ref/internet-order-001 \
-H "X-Access-Token: YOUR_API_KEY"
const ref = "internet-order-001";
const response = await fetch(
`https://api.oneclickdz.com/v3/internet/check-ref/${ref}`,
{ headers: { "X-Access-Token": "YOUR_API_KEY" } }
);
response = requests.get(
f'https://api.oneclickdz.com/v3/internet/check-ref/{ref}',
headers={'X-Access-Token': 'YOUR_API_KEY'}
)
<?php
$ref = 'internet-order-001';
$ch = curl_init("https://api.oneclickdz.com/v3/internet/check-ref/{$ref}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ['X-Access-Token: YOUR_API_KEY']);
$response = curl_exec($ch);
?>
روابط ذات صلة
التحقق بالمعرف
توثيق الحالة الكامل

